using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
namespace norke
{
    public partial class proclass : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            DBConn myDB = new DBConn();
            string sql = "select * from Category where kid=0";
            DataList1.DataSource = myDB.getDataReader(sql);
            DataList1.DataKeyField = "cid";
            DataList1.DataBind();
            myDB.Close();
        }
        protected void DataList1_ItemDataBound(object sender, DataListItemEventArgs e)
        {
            Repeater myRepeater = (Repeater)e.Item.FindControl("Repeater1");

            if (myRepeater != null)
            {
                DBConn mydb = new DBConn();
                string sql = "select top 3 * from Category where kId=" + DataList1.DataKeys[e.Item.ItemIndex].ToString();
                myRepeater.DataSource = mydb.getDataReader(sql);
                myRepeater.DataBind();
                mydb.Close();
            }
        }
    }
}
